commit:     35f26e000a5a3e55add57a8e9d6d15daa2fa6045
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 12 19:31:50 2020 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sat Dec 12 19:31:50 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=35f26e00

dev-python/humanize: bump to 3.2.0

Package-Manager: Portage-3.0.11, Repoman-3.0.2
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/humanize/Manifest              |  1 +
 dev-python/humanize/humanize-3.2.0.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-python/humanize/Manifest b/dev-python/humanize/Manifest
index afe555d5071..837989d96cf 100644
--- a/dev-python/humanize/Manifest
+++ b/dev-python/humanize/Manifest
@@ -1 +1,2 @@
 DIST humanize-3.1.0.tar.gz 54352 BLAKE2B 
0e25f4f7f01244f5b24a33c54546c2b2d82e0e069d2cabbe67ff0e5f8e2bc9d3aa2eb7f4d63d4a01dc8ff4ddcfee030b33015ede00d769dfafccb6c2af95171a
 SHA512 
71cb2766a791481f4dc5e02b77357e8e4e7332e533ee055a207cf145f2b2f9041c5bc4ce25f061f0cc1498f37edbc6243f63b888a322c0cf19e5216e120542dc
+DIST humanize-3.2.0.tar.gz 53976 BLAKE2B 
2e9347418ffa103c6a66583136aa0c79bce669b48fcbc01bf482ba16659af14d4b4a88e78167e8013a8ede6467ed7b7f5eea8f46ed4234294a79b0c63fabd17c
 SHA512 
448919e762e0ecc95f5a7158e0dd8bc028d173ee236be8e15fd0283741af037af1bcdc671ed83b0c16c1998dc0a70debf11cb1c349085530e458bc7aa2f6dde4

diff --git a/dev-python/humanize/humanize-3.2.0.ebuild 
b/dev-python/humanize/humanize-3.2.0.ebuild
new file mode 100644
index 00000000000..fa1c2e7585b
--- /dev/null
+++ b/dev-python/humanize/humanize-3.2.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Common humanization utilities"
+HOMEPAGE="https://github.com/jmoiron/humanize/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+       dev-python/setuptools_scm[${PYTHON_USEDEP}]
+       test? ( dev-python/freezegun[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       # The package uses pkg_resources to determine its version
+       distutils_install_for_testing --via-root
+       pytest -vv || die "Tests fail with ${EPYTHON}"
+}

Reply via email to